<?php
@session_start();
if(isset($_SESSION['ekdhlos_userid'])){
include_once('php/functions.php');
require_once "pagination/Paginated.php";
require_once "pagination/DoubleBarLayout.php";
$pagedResults = new Paginated($_SESSION['edit_messages'], 5, $_SESSION['page']);
if($_SESSION['edit_messages']){
echo '
<table id="gradient-style">
	<thead>
		<tr>
			<th scope="col" class="width_th_message">Μήνυμα</th>
			<th scope="col" class="width_th_date">Ημερομηνία αποστολής</th>
			<th scope="col" class="width_status">Κατάσταση μηνύματος</th>
			<th scope="col">Revoke</th>
			<th scope="col">Forward</th>
			<th scope="col">Edit</th>
			<th scope="col">Delete</th>
		</tr>
	</thead>';
while($row = $pagedResults->fetchPagedRow()) {
	$total_words = substr_count($row['message'], " ") + 1; // metrame to plithos twn leksewn	
	$word = explode(" ", $row['message']); // tis bazoume se pinaka
	echo "
	<tbody>
		<tr>
			<td>";
				$j=0;
				if($total_words <= 4)for($j; $j < $total_words; $j++) echo $word[$j]." ";
				else if($total_words > 4){
					while($j<=4 ){
						if($j == 4)	echo $word[$j]." ...";	
						else echo $word[$j]." ";
						$j++;
					}
				}
		echo "
		</td>
			<td>".fix_date($row['date'])."<br />".fix_hour($row['date'])."</td>
			<td>";
			echo katastasi_mnm($row['id']);
			echo"
			</td>";
			if(check_for_revoke_on_not($row['id']) == 0){
				if(get('display','message','id',$row['id'],'one')=="yes"){						
					echo "<td class=\"center\"><a href=\"edit_messages.php?revoke_id={$row['id']}\" onclick=\"return checked();\"><img alt=\"Activate Revoke\" src=\"images/revoke.png\" title=\"Αποτρέψτε τις συσκεύες από το να διαβάσουν το μήνυμα!\"/></a></td>";
				}
				else{
					echo "<td class=\"center\"><a href=\"edit_messages.php?revoke_id={$row['id']}\" onclick=\"return checked2();\"><img alt=\"Sstop Revoke\" src=\"images/tick.png\" title=\"Επιτρέψτε στις συσκεύες να διαβάσουν το μήνυμα!\"/></a></td>";						
				}
			}
			else echo "<td></td>";
			echo "
			<td class=\"center\"><a href=\"edit_messages.php?forward_id={$row['id']}&amp;step=1\"><img alt=\"Forward\" src=\"images/fw.png\" title=\"Κάντε κλικ για να προωθήσετε το μήνυμα!\"/></a></td>
			<td class=\"center\"><a href=\"edit_messages.php?edit_id={$row['id']}\"><img alt=\"Edit\" src=\"images/icon-edit.png\" title=\"Κάντε κλικ για να επεξεργαστείτε το μήνυμα!\"/></a></td>
			<td class=\"center\"><a href=\"edit_messages.php?delete_id={$row['id']}\" onclick=\"return deletechecked();\"><img alt=\"Delete\" src=\"images/icon-delete.png\" title=\"Κάντε κλικ για να διαγράψετε το μήνυμα!\"/></a></td>
		</tr>";
}	
echo '
	</tbody>';
$pagedResults->setLayout(new DoubleBarLayout());
echo '
	<tfoot>
		<tr>
			<td colspan="7">';
			if(sizeof($_SESSION['edit_messages'])>5) echo $pagedResults->fetchPagedNavigation();
			echo '</td>
		</tr>
	</tfoot>
</table>
';
}
else echo '<br /><div id="msg_error" class="more_left_2">Δεν βρέθηκαν αποτελέσματα!</div>';
}
?>